[Unit]
Description=Tango starter
After=network-online.target
Wants=network-online.target
StartLimitIntervalSec=200
StartLimitBurst=10

[Service]
Type=forking
# Restarting Starter will only restart Starter itself, not child processes
KillMode=process

# find the TANGO_HOST setting
EnvironmentFile=/etc/tangorc

ExecStart=/usr/bin/tango-starter start
# Without ExecStop, Starter isn't stopped properly on restart
ExecStop=/usr/bin/tango-starter stop
Restart=on-failure
RestartSec=5s

# Give a reasonable amount of time for the server to start up/shut down
TimeoutSec=10

[Install]
WantedBy=multi-user.target
